
_main:

;RFID.c,54 :: 		void main()
;RFID.c,57 :: 		Lcd_Init();                       // Initialize LCD
	CALL        _Lcd_Init+0, 0
;RFID.c,58 :: 		Lcd_Cmd(_LCD_CLEAR);              // Clear display
	MOVLW       1
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;RFID.c,59 :: 		Lcd_Cmd(_LCD_CURSOR_OFF);         // Cursor off
	MOVLW       12
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;RFID.c,60 :: 		Lcd_Out(1,1,"RFID Tag Reader");   // Write text in first row
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr1_RFID+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr1_RFID+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;RFID.c,62 :: 		UART1_Init(9600);                 // Initialize UART, 9600 baud rate
	MOVLW       129
	MOVWF       SPBRG+0 
	BSF         TXSTA+0, 2, 0
	CALL        _UART1_Init+0, 0
;RFID.c,64 :: 		rfid[12] = '\0';                  // String Terminating Character
	CLRF        main_rfid_L0+12 
;RFID.c,66 :: 		while(1)                          // Infinite Loop
L_main0:
;RFID.c,68 :: 		if(UART1_Data_Ready())          // If UART Data Ready
	CALL        _UART1_Data_Ready+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_main2
;RFID.c,70 :: 		for(i=0;i<12;)                // To Read 12 characters
	CLRF        main_i_L0+0 
L_main3:
	MOVLW       12
	SUBWF       main_i_L0+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_main4
;RFID.c,72 :: 		if(UART1_Data_Ready())
	CALL        _UART1_Data_Ready+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_main6
;RFID.c,74 :: 		rfid[i] = UART1_Read();
	MOVLW       main_rfid_L0+0
	MOVWF       FLOC__main+0 
	MOVLW       hi_addr(main_rfid_L0+0)
	MOVWF       FLOC__main+1 
	MOVF        main_i_L0+0, 0 
	ADDWF       FLOC__main+0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FLOC__main+1, 1 
	CALL        _UART1_Read+0, 0
	MOVFF       FLOC__main+0, FSR1
	MOVFF       FLOC__main+1, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;RFID.c,75 :: 		i++;
	INCF        main_i_L0+0, 1 
;RFID.c,76 :: 		}
L_main6:
;RFID.c,77 :: 		}
	GOTO        L_main3
L_main4:
;RFID.c,79 :: 		if((rfid[0] ^ rfid[2] ^ rfid[4] ^ rfid[6] ^ rfid[8] == rfid[10]) && (rfid[1] ^ rfid[3] ^ rfid[5] ^ rfid[7] ^ rfid[9] == rfid[11]))
	MOVF        main_rfid_L0+2, 0 
	XORWF       main_rfid_L0+0, 0 
	MOVWF       R0 
	MOVF        main_rfid_L0+4, 0 
	XORWF       R0, 1 
	MOVF        main_rfid_L0+6, 0 
	XORWF       R0, 0 
	MOVWF       R1 
	MOVF        main_rfid_L0+8, 0 
	XORWF       main_rfid_L0+10, 0 
	MOVLW       1
	BTFSS       STATUS+0, 2 
	MOVLW       0
	MOVWF       R0 
	MOVF        R1, 0 
	XORWF       R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_main9
	MOVF        main_rfid_L0+3, 0 
	XORWF       main_rfid_L0+1, 0 
	MOVWF       R0 
	MOVF        main_rfid_L0+5, 0 
	XORWF       R0, 1 
	MOVF        main_rfid_L0+7, 0 
	XORWF       R0, 0 
	MOVWF       R1 
	MOVF        main_rfid_L0+9, 0 
	XORWF       main_rfid_L0+11, 0 
	MOVLW       1
	BTFSS       STATUS+0, 2 
	MOVLW       0
	MOVWF       R0 
	MOVF        R1, 0 
	XORWF       R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_main9
L__main11:
;RFID.c,81 :: 		Lcd_Out(2,1,rfid);
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       main_rfid_L0+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(main_rfid_L0+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;RFID.c,82 :: 		}
	GOTO        L_main10
L_main9:
;RFID.c,85 :: 		Lcd_Out(2,1,"Error ");
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr2_RFID+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr2_RFID+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;RFID.c,86 :: 		}
L_main10:
;RFID.c,87 :: 		}
L_main2:
;RFID.c,88 :: 		}
	GOTO        L_main0
;RFID.c,89 :: 		}
L_end_main:
	GOTO        $+0
; end of _main
